<script lang="ts" setup>
import StationItem from '~/components/StationItem.vue';
import type { Station } from '~/entities';


const {data:stations} = await useFetch<Station[]>('http://localhost:8080/api/station');

</script>

<template>
  <div>
    <h1>Stations</h1>

    <StationItem v-for="item of stations" :key="item.id" :station="item"  />
  </div>
</template>

<style scoped></style>
